local agent_helper = {
}

function agent_helper:Login(callback, arg)
	PlatformBinder:JsonCall("call_agent_login", arg, "", callback)
end

function agent_helper:Logout()
	PlatformBinder:JsonCall("call_agent_logout")
end

function agent_helper:SetLogoutCallback(callback)
	PlatformBinder:JsonBind("event_agent_logout", callback)
end

function agent_helper:GetSessionId()
	return PlatformBinder:JsonCall("call_agent_get_sid")
end

function agent_helper:GetToken(token_type)
	return PlatformBinder:JsonCall("call_agent_get_token", token_type, "")
end

function agent_helper:GetPlatIsInstall(plat_type)
	return PlatformBinder:JsonCall("call_agent_plat_token", plat_type, "")
end

function agent_helper:Recharge(recharge_info)
	return PlatformBinder:JsonCall("call_agent_recharge", recharge_info, "")
end

function agent_helper:SetRechargeCallback(callback)
	PlatformBinder:JsonBind("event_agent_recharge", callback)
end

function agent_helper:GetPayInfo()
	return PlatformBinder:JsonCall("call_agent_get_pay_info", "", "")
end

return agent_helper 